<?php
$form_flight_id = filter_input(INPUT_POST, "flight_id", FILTER_SANITIZE_STRING);
$form_class_name = filter_input(INPUT_POST, "class_name", FILTER_SANITIZE_STRING);
$form_cancel = filter_input(INPUT_POST, "cancel", FILTER_SANITIZE_STRING);

global $is_logged_in;
if (!$is_logged_in) {
    echo "Please login first. <br>";
    $_SESSION['login_referer'] = $_SERVER['HTTP_REFERER'];
    redirect("index.php?page=login", 2);
}

if (isset($form_cancel) && isset($form_flight_id) && isset($form_class_name) &&
    $is_logged_in) {
    $client_id = get_client_id($_SESSION['email']);
    global $connection;
    $sql_pquery = "delete from RESERVATIONS
                   where NumCl = ? and NumVol = ? and Classe = ?";
    $connection->prepare_query($sql_pquery);
    $connection->prepared_query_bind_param("iss", array($client_id, $form_flight_id, $form_class_name));
    $connection->run_prepared_query();
    $connection->close_prepared_query();
    echo "Votre re&#769;servation a e&#769;te&#769; annule&#769;e. <br>";
    redirect("index.php?page=reservations", 3);
} else {
    echo "Make an error message. <br>";
    echo "<a href=\"javascript:history.go(-1)\">Retour</a>";
}

?>
